/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <qquickimagecapture_p.h>
#include <qquickmediaplayer_p.h>
#include <qquicksoundeffect_p.h>
#include <qquickvideooutput_p.h>
#include <qtmultimediaquicktypes_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtMultimedia()
{
    qmlRegisterModule("QtMultimedia", 5, 0);
    qmlRegisterModule("QtMultimedia", 5, 254);
    qmlRegisterModule("QtMultimedia", 6, 0);
    qmlRegisterTypesAndRevisions<QAudioDeviceForeign>("QtMultimedia", 6);
    QMetaType::fromType<QAudioDevice>().id();
    qmlRegisterNamespaceAndRevisions(&QAudioDevice::staticMetaObject, "QtMultimedia", 6, nullptr, &QAudioDeviceNamespaceForeign::staticMetaObject, nullptr);
    qmlRegisterTypesAndRevisions<QAudioInputForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QAudioOutputForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QCameraDeviceForeign>("QtMultimedia", 6);
    QMetaType::fromType<QCameraDevice>().id();
    qmlRegisterNamespaceAndRevisions(&QCameraDevice::staticMetaObject, "QtMultimedia", 6, nullptr, &QCameraDeviceNamespaceForeign::staticMetaObject, nullptr);
    qmlRegisterTypesAndRevisions<QCameraForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QCameraFormatForeign>("QtMultimedia", 6);
    QMetaType::fromType<QImageCapture *>().id();
    qmlRegisterTypesAndRevisions<QMediaCaptureSessionForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QMediaDevicesForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QMediaFormatForeign>("QtMultimedia", 6);
    QMetaType::fromType<QMediaFormat>().id();
    qmlRegisterNamespaceAndRevisions(&QMediaFormat::staticMetaObject, "QtMultimedia", 6, nullptr, &QMediaFormatNamespaceForeign::staticMetaObject, nullptr);
    qmlRegisterTypesAndRevisions<QMediaMetaDataForeign>("QtMultimedia", 6);
    QMetaType::fromType<QMediaMetaData>().id();
    qmlRegisterNamespaceAndRevisions(&QMediaMetaData::staticMetaObject, "QtMultimedia", 6, nullptr, &QMediaMetaDataNamespaceForeign::staticMetaObject, nullptr);
    QMetaType::fromType<QMediaPlayer *>().id();
    qmlRegisterTypesAndRevisions<QMediaRecorderForeign>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QQuickImageCapture>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QQuickMediaPlayer>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QQuickSoundEffect>("QtMultimedia", 6);
    qmlRegisterTypesAndRevisions<QQuickVideoOutput>("QtMultimedia", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("QtMultimedia", 6);
    QMetaType::fromType<QSoundEffect *>().id();
    qmlRegisterModule("QtMultimedia", 6, 4);
}

static const QQmlModuleRegistration registration("QtMultimedia", qml_register_types_QtMultimedia);
